i2o_cntxt_list_add
Prev | I2O message devices | Next

## Name

i2o_cntxt_list_add — Append a pointer to context list and return a id

## Synopsis

`u32 i2o_cntxt_list_add (` | struct i2o_controller * | c,
| void * | ptr`)`;

## Arguments

`c`

  controller to which the context list belong

`ptr`

  pointer to add to the context list

## Description

Because the context field in I2O is only 32-bit large, on 64-bit the pointer is to large to fit in the context field. The i2o_cntxt_list functions therefore map pointers to context fields.

Returns context id > 0 on success or 0 on failure.

Prev | Up | Next
i2o_msg_get_wait | Home | i2o_cntxt_list_remove